### Method

# Gimp Path stroke_get_points

since: 2.4

#### Declaration [src]

    GimpPathStrokeType
    gimp_path_stroke_get_points (
      GimpPath* path,
      gint stroke_id,
      gsize* num_points,
      gdouble** controlpoints,
      gboolean* closed
    )

#### Description [src]

Returns the control points of a stroke.

returns the control points of a stroke. The interpretation of the coordinates returned depends on the type of the stroke. For Gimp 2.4 this is always a bezier stroke, where the coordinates are the control points.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`num_points`

  Type: `gsize*`

  The number of floats returned.

  The argument will be set by the function.

`controlpoints`

  Type: An array of `double`

  List of the control points for the stroke (x0, y0, x1, y1, …).

  The argument will be set by the function.
  The length of the array is specified in the `num_points` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`closed`

  Type: `gboolean*`

  Whether the stroke is closed or not.

  The argument will be set by the function.

#### Return value

Type: `GimpPathStrokeType`

Type of the stroke (always GIMP_PATH_STROKE_TYPE_BEZIER for now).